Loading...
Searching...
No Matches
SqlUtil::AbstractDdlObject Class Reference

the base class for named objects More...

`#include <SqlUtil.qm.dox.h>`

Inheritance diagram for SqlUtil::AbstractDdlObject:
[legend]

## Public Member Functions

| constructor (string name)
| creates the object from the name
abstract string | getDdlName (string name)
| returns the column name with quoting in case the column name is a reserved word

## Public Attributes

string | ddl_name
| the name of the object for DDL (in case it's a reserved word)
string | name
| the name of the object

## Protected Member Functions

| constructor ()
| empty constructor for subclasses

## Detailed Description

the base class for named objects

## Member Function Documentation

## getDdlName()

abstract string SqlUtil::AbstractDdlObject::getDdlName | ( | string | name | ) |

returns the column name with quoting in case the column name is a reserved word

the name returned here will be used when executing DDL